summaryrefslogtreecommitdiffstats
path: root/academic/karma/karma.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/karma/karma.SlackBuild')
-rw-r--r--academic/karma/karma.SlackBuild23
1 files changed, 9 insertions, 14 deletions
diff --git a/academic/karma/karma.SlackBuild b/academic/karma/karma.SlackBuild
index 338f9117a5..ff42bd236d 100644
--- a/academic/karma/karma.SlackBuild
+++ b/academic/karma/karma.SlackBuild
@@ -22,6 +22,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220318 bkw: Modified by SlackBuilds.org: fix build when ARCH is
+# set to i586 in the environment.
cd $(dirname $0) ; CWD=$(pwd)
@@ -39,9 +41,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -53,14 +52,11 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
-if [ "$ARCH" = "x86_64" ]; then
- ARCHDEP="amd64_Linux_libc6.3"
-elif [ "$ARCH" = "i686" ]; then
- ARCHDEP="i386_Linux_libc6"
-else
- printf "\n\n$ARCH is not supported... \n"
- exit 1
-fi
+case "$ARCH" in
+ x86_64) ARCHDEP="amd64_Linux_libc6.3" ;;
+ i?86) ARCHDEP="i386_Linux_libc6" ;;
+ *) printf "\n\n$ARCH is not supported... \n"; exit 1 ;;
+esac
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -79,10 +75,9 @@ rm -R $ARCHDEP
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# Copy everything to package directory
mkdir -p $PKG/opt/$PRGNAM